package com.yiidian.springboot.demo.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * 一点教程网：http://www.yiidian.com
 */
//@RestController
public class HelloController {

    @Value("${person.name}")
    private String personName;

    @Autowired
    private Person person;

    //读取student.names属性值，然后调用split方法切割成数组，并赋值给studentNames
    @Value("#{'${student.names}'.split(',')}")
    private List<String> studentNames;

    @Value("#{'${student.names}'.split(',')[0]}")
    private String firstStudentName;

    //读取系统环境变量
    @Value ("#{systemProperties['java.home']}")
    private String javaHome;
    @Value ("#{systemProperties['user.dir']}")
    private String userDir;

    @RequestMapping("/hello")
    public String hello(String name) {
        //System.out.println(person);
       /* System.out.println(studentNames);
        System.out.println(firstStudentName);
        System.out.println(javaHome);
        System.out.println(userDir);*/

        System.out.println(personName);
        return "hello world, " +name;
    }
}
