package com.yiidian.springboot.demo.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 文章
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Article {
    private Long  id;
    private String title; //标题
    private String categoryName;//分类
    private String content;//内容
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;//发布时间
    private List<Reader> authors;//文章读者
}
